Subject: Re: [PATCH] Enable reflogs by default in any repository with a working directory.

From: Shawn Pearce <[email-masked]>
Date: Thu, 14 Dec 2006 18:18:32 -0500

"J. Bruce Fields" <[email-masked]> wrote:
> On Thu, Dec 14, 2006 at 05:41:17PM -0500, Shawn O. Pearce wrote:
> > New and experienced Git users alike are finding out too late that
> > they forgot to enable reflogs in the current repository, and cannot
> > use the information stored within it to recover from an incorrectly
> > entered command such as `git reset --hard HEAD^^^` when they really
> > meant HEAD^^ (aka HEAD~2).
> 
> Stupid question--I assume a mention in the reflog doesn't count as a
> real reference to an object, so they won't save you in the case when you
> pruned recently?

Not a stupid question.  Your assumption is correct, its not a real
reference, so prune will remove things that the log mentions but
that refs don't currently mention.

--